Uploaded image for project: 'Hadoop Common'
  1. Hadoop Common
  2. HADOOP-10539

Provide backward compatibility for ProxyUsers.authorize() call

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.5.0, 3.0.0-alpha1
    • Fix Version/s: 2.5.0
    • Component/s: security
    • Labels:
      None
    • Target Version/s:
    • Hadoop Flags:
      Reviewed

      Description

      HADOOP-10499 removed the unused Configuration parameter from ProxyUsers.authorize() method.
      This broke few components like HBase who invoked that function and forced it to rely on Reflection.

        Attachments

        1. HADOOP-10539.patch
          1 kB
          Benoy Antony
        2. HADOOP-10539.patch
          1 kB
          Benoy Antony

          Issue Links

            Activity

              People

              • Assignee:
                benoyantony Benoy Antony
                Reporter:
                benoyantony Benoy Antony
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: